# 🎙️ **ReLU**: Tu Asistente de Línea de Comandos

¡Bienvenido a **relu**, tu asistente inteligente en la línea de comandos! 🚀 Con **relu**, puedes configurar opciones, enviar mensajes y obtener respuestas de forma rápida y sencilla que usa la API de Gemini de Google.

## 📦 **Instalación**

Para instalar **relu**, simplemente ejecuta:

```sh
pip install relu
```

## 🛠️ **Uso**

Una vez instalado, puedes usar **relu** desde tu terminal para interactuar con tu asistente. Aquí te mostramos cómo hacerlo:

### 👋 **Mostrar el Mensaje de Bienvenida**

Simplemente ejecuta el comando sin argumentos para ver el mensaje de bienvenida:

```sh
relu
```

### ✨ **Configurar Parámetros**

Configura el nombre, la clave o el idioma de tu asistente con los siguientes comandos:

- **Configurar Nombre**:

  ```sh
  relu -n "Juan Pérez"
  ```

  Este comando establece el nombre del usuario a "Juan Pérez". El asistente utilizará este nombre para personalizar las respuestas.

- **Configurar Clave**:

  ```sh
  relu -k "mi_clave_secreta"
  ```

  Usa este comando para configurar la clave de acceso del asistente. La clave se puede usar para autenticación o configuración de seguridad.

- **Configurar Idioma**:

  ```sh
  relu -l "español"
  ```

  Con este comando puedes cambiar el idioma del asistente. Acepta idiomas como "español", "inglés", etc., para adaptar la respuesta del asistente a tu preferencia.

- **Borrar Configuración**:

  ```sh
  relu -c
  ```

  Este comando borra todas las configuraciones guardadas, restaurando el asistente a su estado predeterminado.

🗣️ **Enviar un Mensaje**
Envía un mensaje a tu asistente para recibir una respuesta:

```sh
relu "Hola, ¿cómo estás?"
```

El asistente procesará tu mensaje y te devolverá una respuesta adecuada basada en la configuración actual y el contenido del mensaje.

📚 Opciones Adicionales
Para ver todas las opciones disponibles y obtener ayuda sobre cómo usar el comando, ejecuta:

```sh
relu -h
```

Este comando mostrará una lista de opciones y ejemplos para ayudarte a sacar el máximo provecho de relu.

🤝 Contribuir
¡Las contribuciones son bienvenidas! Si tienes ideas para mejorar relu, puedes:

- Hacer un pull request con tus cambios.
- Abrir un issue para reportar errores o sugerir nuevas funcionalidades.
- Tu colaboración es muy valiosa para mejorar el asistente.

💬 Contacto
Si tienes preguntas, sugerencias o comentarios, puedes contactarme a través de:

¡Gracias por usar relu y por tu apoyo! 🎉
